Page MenuHomePhabricator

Unclear what the point of tokens in Phabricator is
Closed, DeclinedPublic

Tokens
"Love" token, awarded by Gilles."Party Time" token, awarded by Draceane."Y So Serious" token, awarded by Thedonquixotic."100" token, awarded by Soni."Cookie" token, awarded by hskiba."Meh!" token, awarded by zeljkofilipin."Meh!" token, awarded by Mgns."Manufacturing Defect?" token, awarded by rafidaslam."The World Burns" token, awarded by nikitavbv."Dislike" token, awarded by MacFan4000."Pterodactyl" token, awarded by Thibaut120094."Doubloon" token, awarded by Christopher.ursich."Pirate Logo" token, awarded by zhuyifei1999."Party Time" token, awarded by demon."Like" token, awarded by D3r1ck01."Heartbreak" token, awarded by Framawiki."Dislike" token, awarded by Riley_Huntley."Pterodactyl" token, awarded by jayvdb."Dislike" token, awarded by tom29739."Heartbreak" token, awarded by Addshore."The World Burns" token, awarded by Lemondoge."Evil Spooky Haunted Tree" token, awarded by Sargoth."Barnstar" token, awarded by Dzahn."Cookie" token, awarded by Quiddity."Evil Spooky Haunted Tree" token, awarded by hashar."The World Burns" token, awarded by Bradley.hulu."Pterodactyl" token, awarded by Nemo_bis."Pterodactyl" token, awarded by Ricordisamoa."Mountain of Wealth" token, awarded by MaxSem."Evil Spooky Haunted Tree" token, awarded by Dbrant."Yellow Medal" token, awarded by Varnent."The World Burns" token, awarded by Blahma."Dislike" token, awarded by Negative24."Manufacturing Defect?" token, awarded by Anomie."Like" token, awarded by Elitre."Heartbreak" token, awarded by Jdforrester-WMF."Haypence" token, awarded by Krinkle."Like" token, awarded by Kozuch."The World Burns" token, awarded by yuvipanda."Like" token, awarded by Krenair."Baby Tequila" token, awarded by Stemoc."Love" token, awarded by Glaisher."Orange Medal" token, awarded by Rfarrand."Heartbreak" token, awarded by Legoktm."Baby Tequila" token, awarded by PiRSquared17."The World Burns" token, awarded by MZMcBride."Pterodactyl" token, awarded by Qgil.
Assigned To
Authored By
MZMcBride, Oct 25 2014

Description

Phabricator has a tokens feature, but it's very unclear what the purpose of it is. It may make sense to disable the tokens feature.

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

I agree with MZMcBride. I feel like this may be a valid upstream bug, if it isn't doable right now. (Other organisations running Phabricator in serious business mode may also not want whimsical tokens.)

yuvipanda added a subscriber: yuvipanda.

I'd like to think of tokens as barnstars, and hence useful :)

I'd like to think of tokens as barnstars, and hence useful :)

But they are being awarded to bugs/tasks, not users. "Congratulations, software bug! Here's a reward."

Not sure I follow that part. I agree with MZMcBride as well - really seems like an unnecessary application for our uses of this software.

Isarra added a subscriber: Isarra.Nov 27 2014, 7:27 PM

Well, even if other folks upstream/whatever have use for them, it doesn't mean we necessarily do.

I can see how a project might find uses, though.

I'd like to think of tokens as barnstars, and hence useful :)

But they are being awarded to bugs/tasks, not users. "Congratulations, software bug! Here's a reward."

Phabricator is task-centric. To go on to think about software bugs or bug tracker is to raise down your horizon.


Generally I follow my intuition but I can see some pattern in my tokens use in 2.5 years:

  • I tend on several Phabricator installs to use trees tokens to organic or growth project like better documentation.
  • Cactus as potted for UI changes improving the user experience, like a potted plant
  • Silver pieces indicates small software improvements in useful areas like API, back-end libraries.
  • I rarely use love token but spontaneously I were recently thinking oh I love that idea and added one. it's only occurred once to the Differential revision implemented the idea.

I've also observed from other people on several installs two different use of the burn token:

  • one to reinforce the Unbreak now! idea
  • in an installation, an automated agent added burning tokens to Differential revisions when Jenkins reported test failures. Team members soon added too burning tokens in Audit when they saw security issues.
Qgil added a comment.Nov 27 2014, 8:54 PM

The point of tokens today is that people willing to use them can use them for the purpose and with the meaning that pleases them. There is no process requiring tokens so far, so nobody is forced to use them or to interpret them.

Looking at https://phabricator.wikimedia.org/token/ it seems to be clear that the popular ones have a clear meaning: I like this, I love this, here is my gratitude. It seems to be used mostly as a Thanks button.

So yes, Tokens is an application and it can be technically disabled. However, I don't see a reason to remove it. Tokens are not doing any harm, and they seem to be doing some good.

Then one day code review will arrive here, and chances are that people involved will use them as equivalents of +1, 0, -1, this time as part of a process.

Most of Phabricator's interface seems to be fairly subdued (lots of grey, lots of light blue, etc.). Looking at (for example) T70069 my eye is immediately drawn toward the bright green tree. If I hover over this mysterious tree, Phabricator tells me "PiRSquared17". Uhh, thanks.

I don't see much hope for tokens actually being disabled at this point... if anything, we'll probably see additional silly features (such as memes) enabled instead. Oh well.

The issue here seems more "the meaning of the PiRSquared17 isn't understood". But don't worry, we generally understand more or less the pattern of tokens of the majority of people we interact with in some weeks.

Kghbln added a subscriber: Kghbln.Nov 28 2014, 8:59 PM

I see tokens as a fast way of approving, disapproving in the process and as a little thank you after the task is done without the need to write a comment. So keeping them with a much reduced variety (just thumbs up, thumbs down, barnstar) will be nice.

Se4598 added a subscriber: Se4598.Dec 4 2014, 11:38 PM
Qgil closed this task as Declined.Dec 8 2014, 10:12 AM
Qgil claimed this task.

Checking https://phabricator.wikimedia.org/token/given/ we can still see that tokens are being used on a daily basis by a variety of users, and in most cases the meaning is easy to interpret. I think we can resolve this task and decline the request to disable tokens.

Kozuch added a subscriber: Kozuch.
Krinkle added a subscriber: Krinkle.

I also think https://phabricator.wikimedia.org/token/leaders/ is pretty telling.

... which can be "discovered" by editing one's personal sidebar and adding "Tokens":
https://phabricator.wikimedia.org/settings/panel/home/

Most of Phabricator's interface seems to be fairly subdued (lots of grey, lots of light blue, etc.). Looking at (for example) T70069 my eye is immediately drawn toward the bright green tree. If I hover over this mysterious tree, Phabricator tells me "PiRSquared17". Uhh, thanks.
I don't see much hope for tokens actually being disabled at this point... if anything, we'll probably see additional silly features (such as memes) enabled instead. Oh well.

@MZMcBride would like to take all the fun and feeling out of our work. boo!

I really wish we could award tokens to people.

He7d3r added a subscriber: He7d3r.Dec 13 2014, 11:43 PM
Kozuch removed a subscriber: Kozuch.Dec 15 2014, 10:14 AM
Kozuch added a subscriber: Kozuch.
Dzahn added a subscriber: Dzahn.Dec 16 2014, 3:05 PM

I think it's like Wikilove and useful. I'd be interested if it's possible to add/upload _new_ award tokens. it would be more fun if we cold have _actual barnstars_ and things that are specific to Wikimedia.

Tokens are usually taken as a sign or appreciation or a form of a +1 but I have seen, through the use of the thumbs down token, that it can also be used as a -1 or a disproval act (as can be seen in this and the token). I'm a bit divided over this use of tokens. Its a bit counter intuitive and doesn't show the disproval very well. Its awarding a token and then it shows up on the user's page which then could show that this user has closed this many "bad" or controversial issues.

https://phabricator.wikimedia.org/token/leaders/ can show a list of popular, or perhaps unpopular tasks. Only slightly amused by the fact that this task is the current leader.

Restricted Application added a subscriber: scfc. · View Herald TranscriptAug 12 2015, 4:00 PM
Ricordisamoa added a subscriber: Ricordisamoa.
tstarling rescinded a token.
Restricted Application added a subscriber: Luke081515. · View Herald TranscriptFeb 5 2016, 9:33 PM
Quiddity rescinded a token.Mar 9 2016, 10:31 PM
Quiddity awarded a token.
Dzahn awarded a token.Mar 15 2016, 7:33 PM
Sargoth added a subscriber: Sargoth.
Sargoth removed a subscriber: Sargoth.
Lemondoge added a subscriber: Lemondoge.

I don't know why a task saying that the point of tokens on Phabricator is unclear would get so many tokens.
recursion

jayvdb added a subscriber: jayvdb.Apr 13 2016, 5:41 AM

I think it would help if we only had a subset that had at least a loosely documented meaning at mw:Phabricator/Tokens , where I have added links and meanings for some of them.

Some of the tokens have a mostly well established meaning, such as Like and Dislike. The currency tokens also borrow from symbols that are commonly understood.

However the majority of them have no clear meaning, even in English, so if some groups are currently using them for specific meanings they are effectively having a private conversation in public, and we should be rejecting exclusionary communication methods.

And of course the situation is much worse for ESL. e.g. even with the currency tokens, the first three would be more inclusive if the hover-overs for the first three mentioned "bronze", "silver" and "gold", as those 'value' meaning are mostly universal understood. "Haypence" is especially confusing, as Heypence is plural, while the icon only has a single coin. The most common actual haypence was the three-halfpeny, a single silver coin. I've created redirects on English Wikipedia to try to guide people to the most suitable article about the bronze coin, whereas previously it was directing readers to the silver three-haypenny.

Since a few months I explain the meaning of my tokens at https://phabricator.wikimedia.org/p/Ricordisamoa/

Dzahn removed a subscriber: Dzahn.Apr 13 2016, 2:27 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptJul 12 2016, 6:53 AM
Brackenheim rescinded a token.
Framawiki added a subscriber: Framawiki.
D3r1ck01 added a subscriber: D3r1ck01.
D3r1ck01 added a subscriber: QuimGil.EditedJul 3 2017, 5:52 PM

When @QuimGil awarded a token to one of my tickets on phab: T166981, I started trying to figure out what particular tokens meant. @Qgil awarded me a "Yellow Medal" and I am now in search for the meaning of medals I can't figure looking at the icon. :)

they are arbitrary, essentially just a way of showing appreciation.

demon awarded a token.Jul 3 2017, 7:37 PM
Mgns awarded a token.Mar 13 2018, 2:46 PM
hskiba awarded a token.Jun 8 2018, 8:08 AM
Soni awarded a token.Jun 21 2018, 5:52 AM